{% set isAllowed = is_granted('ROLE_SERVICE_COMMITTEE') or app.user.publisher.isElder or is_granted('ROLE_TERRITORY') %}
{% extends 'base.html.twig' %}
{% block header_title %}Gestion des proclamateurs{% endblock %}
{% block header_subtitle %}Liste des proclamateurs{% endblock %}
{% block head_content %}
    {% if isAllowed %}
        <div class="toggle-wrap nk-block-tools-toggle">
            <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
            <div class="toggle-expand-content" data-content="pageMenu">
                <ul class="nk-block-tools g-3">
                    <li class="nk-block-tools-opt"><a href="{{ path('app_publisher_create') }}" class="btn btn-primary"><em class="icon ni ni-user-add-fill"></em><span>Ajouter un proclamateur</span></a></li>
                </ul>
            </div>
        </div>
    {% endif %}

{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Proclamateurs de mon assemblée ({{ publishers|length }})</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="row">
                    <div class="col-lg-6 col-12">
                        <div class="search p-2">
                            <div class="form-group">
                                <div class="form-control-wrap">
                                    <div class="form-icon form-icon-left"><em class="icon ni ni-user"></em></div>
                                    <input type="text" class="form-control search-publisher-input" placeholder="Rechercher un proclamateur">
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="nk-tb-list nk-tb-orders" id="publishersList">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Nom</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Groupe de prédication</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for publisher in publishers %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                                <div class="user-card">
                                    <div class="user-avatar user-avatar-sm bg-purple"><span>{{ publisher.initials }}</span></div>
                                    <div class="user-name">
                                        <span class="tb-lead"><a href="{{ path('app_publisher_show', {'id': publisher.id}) }}">{{ publisher.fullName }}</a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                <span class="tb-sub">{{ publisher.serviceGroup }}</span>
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_publisher_show', {'id': publisher.id}) }}">Fiche du proclamateur</a></li>
                                            <li><a href="{{ path('app_publisher_disable', {'id': publisher.id}) }}">Désactiver</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}


{% block javascripts %}
    <script>
        $('.search-publisher-input').keyup(function (e) {
            $.ajax({
                url: "{{ path('app_publisher_search') }}",
                data: {term: e.target.value},
                success: function(data) {
                    console.log(data)
                    $('#publishersList').replaceWith(data)
                }
            })
        })
    </script>
{% endblock %}